Bug 214349 - headless reboot fails on mac mini (intel)
headless reboot fails on mac mini (intel)
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2006-11-07 01:15 EST by John Russell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-09 11:28:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Russell 2006-11-07 01:15:36 EST
Description of problem:
A successfully installed FC6 on a Mac Mini Core Duo will not boot if a monitor
is not connected.

Version-Release number of selected component (if applicable):
Suspect problem with anaconda

How reproducible:
Install FC6 on Mac Mini (intel) with Bootcamp. Configure network, test ssh.
unplug monitor, reboot using ssh. system does not come up.

Actual results:
No network connections possible.

Expected results:
Normal boot.

Additional info:
this is important for using mac hardware with Fedora Core for servers.
Comment 1 Jeremy Katz 2006-11-08 10:30:04 EST
If you then connect the monitor, where is it sitting?
Comment 2 John Russell 2006-11-08 13:26:36 EST
I didn't see anything after reconnecting a monitor but just found this info:

Running without a screen

It is important to test that your Mac Mini will boot correctly without a screen.
In particular, if you rely on the Apple "Boot Camp" firmware update (which
provides a legacy BIOS, so that the machine can be booted like a conventional
PC), then you may encounter trouble with this, because the VGA BIOS which the
machine installs typically blocks trying to communicate with the monitor using DDC.

If you need to use the "Boot Camp" firmware, you will need to prepare a simple
terminator to convince the machine that a (non-DDC) monitor is attached. All
that's needed is to connect a 75Ω resistor between pins 2 and 7 of the
(analogue) VGA connector. The easiest way to do this is to buy a male DB15
connector (a "VGA plug") and appropriate resistor, and solder it between pins 2
and 7 on the connector. Fit a hood over the connector to prevent damage in handling.

I guess some info on how to create a custom boot without "Boot Camp" would be
really helpful.
Comment 3 Jeremy Katz 2006-11-09 11:28:14 EST
This is a hardware issue -- we really don't have a good way of supporting EFI
only booting (and doing so ends up leaving some of the hardware in less than
ideal states)

Note You need to log in before you can comment on or make changes to this bug.